> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Partial Update



## OpenAPI

````yaml api-reference/openapi.yaml patch /api/v1/text_topic_theme_idea/{id}/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/text_topic_theme_idea/{id}/:
    patch:
      tags:
        - Text Topic Theme Idea
      summary: Partial Update
      operationId: text_topic_theme_idea_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedTextTopicThemeIdea'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TextTopicThemeIdea'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PatchedTextTopicThemeIdea:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        text:
          type: string
          nullable: true
        is_helpful:
          type: boolean
          nullable: true
        text_topic_theme_id:
          type: string
          format: uuid
    TextTopicThemeIdea:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        text:
          type: string
          nullable: true
        is_helpful:
          type: boolean
          nullable: true
        text_topic_theme_id:
          type: string
          format: uuid
      required:
        - id
        - text_topic_theme_id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````